Issue 56006

Summary: Need to show change bars against a modified secton of a document
Product: Writer Reporter: dlanderson <duane.anderson>
Component: editingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 3.1   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description dlanderson 2005-10-14 15:25:47 UTC
When recording and showing changes in Open Office, it appears to be not possible
to show only a change bar against a modified section of the document. If change
bars are shown in Open Office, then both the insertions and deletions are shown.
This makes the modified document section difficult to read. To fix this problem,
it is suggested that an option be added to the way that deleted text is shown.
An option to use hidden text should be made available.
Comment 1 michael.ruess 2005-10-17 17:00:41 UTC
rteassigned to requirements.
Comment 2 dlanderson 2005-10-18 18:56:16 UTC
For clarification, the Options - Changes - Text display - Deletions Attributes
should include a [Hidden] attribute, where '[Hidden]' means 'do not display
deleted text'. Deleted text should be displayed with markings or it should be
not displayed. There is no good reason--that I can think of--for the Deletions
Attributes to include a [None] attribute. 
Conversely, the Insertions Attributes should include a [None] attribute, where
'[None]' means 'display the inserted text without markings'. There is no good
reason--again, that I can think of--for the Insertions Attributes to include a
[Hidden] attribute. 
Comment 3 ace_dent 2008-05-16 01:40:51 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 2+ years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 Joe Smith 2009-06-10 15:03:33 UTC
Possible duplicate of Issue 24845
Comment 5 dlanderson 2009-06-10 15:40:47 UTC
I just tested this issue with OOo 3.1.0 Writer and it still remains unresolved. 
Also, I just read Issue 24845 and indeed it and this issue are duplicates.
However, I think the suggestion given above on Tue Oct 18 17:56:16 +0000 2005 as
to how to resolve the problem is more precise that that given under Issue 24845
by dan_higgins Thu Aug 19 22:07:59 +0000 2004. 
Please resolve this issue, it is still a problem for my organization as we must
submit documents to customers that are clearly readable by customers (no
strikethroughs and underlines but with change bars), which is still not possible
with OOo Writer. Our workaround is to use Microsoft Word for such documents,
which is not a satisfactory solution. 
Comment 6 dlanderson 2009-06-10 16:48:41 UTC
Updated Writer Version to OOo 3.1 per previous comment.
Comment 7 dxgreen 2009-11-12 06:33:27 UTC
I must agree that this is a necessary enhancement of the Track Changes feature.
We produce engineering documents that must be delivered to customers and they
need to show where revisions have taken place without showing the
insertion/deletion text.

An option to show change bars only is vital for our documentation process. I too
am forced to convert documents to MS Word in order to achieve this outcome.